#! make -f
#----------------------------------------------------------------------------
# Project:  NITRO-System - build - demos - g2d - samples -
# File:     Makefile
#
# Copyright 2005 Nintendo.  All rights reserved.
#
# These coded instructions, statements, and computer programs contain
# proprietary information of Nintendo of America Inc. and/or Nintendo
# Company Ltd., and are protected by Federal copyright law.  They may
# not be disclosed to third parties or copied or duplicated in any form,
# in whole or in part, without the prior written consent of Nintendo.
#
# $Log: Makefile,v $
# Revision 1.3  06/07/2005 07:03:07  hatamoto_minoru
# Deleted the description of ShiftJIS.
#
# Revision 1.2  05/20/2005 08:48:43  hatamoto_minoru
# Revised copyright year
#
# Revision 1.1  05/20/2005 04:34:36  hatamoto_minoru
# Registered in NitroSystem.
#
# Revision 1.1  01/21/2005 01:03:09  hatamoto_minoru
# Registered to TextDraw.
#
# $NoKeywords: $
#----------------------------------------------------------------------------


G2D_TEXTDEMOLIB	=	../textdemolib

LINCLUDES       =   $(G2D_TEXTDEMOLIB)/include
LLIBRARY_DIRS   =   $(G2D_TEXTDEMOLIB)/lib/$(NITRO_BUILDTYPE)
LLIBRARIES      =   libg2d_textdemo.a

#----------------------------------------------------------------------------

SRCS		=	main.c
TARGET_NEF	=	main.nef
TARGET_BIN	=	main.srl

MAKEROM_ROMROOT  = ../
MAKEROM_ROMFILES = ./data/*.*

#----------------------------------------------------------------------------
include	$(NITROSYSTEM_ROOT)/build/buildtools/commondefs


do-build:		$(TARGETS)


include	$(NITROSYSTEM_ROOT)/build/buildtools/modulerules


#===== End of Makefile =====

